<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=clientes_nuevos.xls");

/*****************************************/
use_helper('UrlFunctions');
use_helper('UtilFunctions');
$o_ObjectBean = new ClienteBean();
  
//print_r($_GET);
$tamanioPag = 15;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
 
//Todos los Mercados de Todas las sucursales
if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.view"){
	$o_MercadoBL = new MercadoBL();
	$a_o_Mercado = $o_MercadoBL->busquedaMercado(new MercadoBean());
}


if($cboSucursal){
	
	//Obtener el Administrador
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdSucursal($cboSucursal);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

	if(is_array($a_o_sucursal)){
		foreach ($a_o_sucursal as $key => $o_sucursal){
			$IdAdministrador = $o_sucursal->getIdAdministrador();
		}
	}
		
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($IdAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	
	if(is_array($a_Colaborador)){
		foreach ($a_Colaborador as $key => $idColaborador){
			$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();
			$o_MercadoRepresentanteBean->setIdColaborador($idColaborador);
			$o_MercadoRepresentanteBL = new MercadoRepresentanteBL();
			$a_o_MercadoRepresentante = $o_MercadoRepresentanteBL->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentanteBean);
			foreach ($a_o_MercadoRepresentante as $key => $o_MercadoRepresentante ){
				$a_Mercado[$o_MercadoRepresentante->getIdMercado()] = $o_MercadoRepresentante->getIdMercado();
			}
		}
	}
	
	$o_ObjectBean->setFiltroMercado($a_Mercado);	

}

if($cboMercado     			!= ""){
	 $o_ObjectBean->setIdMercado($cboMercado);	 
}

if($cboRepresentante     	!= ""){
	 $o_ObjectBean->setUsuarioCreacion($cboRepresentante);	 
}
if($infocorp   	!=""){ $o_ObjectBean->setFlagInfocorp($infocorp); }		
if($idCliente   	!=""){ $o_ObjectBean->setIdCliente($idCliente); }
if($cboEstado   	!=""){ $o_ObjectBean->setEstado($cboEstado); }
if($Dni       		!=""){ $o_ObjectBean->setDni($Dni); }
if($IdMercado     	!=""){ $o_ObjectBean->setIdMercado($IdMercado); }
if($cboTipoNegocio  !=""){ $o_ObjectBean->setIdTipoNegocio($cboTipoNegocio); } 
if($cboSexo   		!=""){ $o_ObjectBean->setSexo($cboSexo); }
if($txtNuemroCliente   !=""){ $o_ObjectBean->setIdCliente($txtNuemroCliente); } 
if($txtNombre      	!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     	!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     	!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }


if($FechaCreacionInicial     	!=""){ $o_ObjectBean->setFechaCreacion($FechaCreacionInicial); }
if($FechaCreacionFinal     	!=""){ $o_ObjectBean->setFechaCreacionFinal($FechaCreacionFinal); }

if($FechaConversionInicial     	!=""){ $o_ObjectBean->setFechaConversion($FechaConversionInicial); }
if($FechaConversionFinal     	!=""){ $o_ObjectBean->setFechaConversionFinal($FechaConversionFinal); }
/*
echo "<pre>";
print_r($o_ObjectBean);
echo "</pre>";
*/
 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

$o_class = new ClienteBL();
$a_ObjectBean = $o_class->busquedaCliente($o_ObjectBean);

 $numeroRegistros = $o_class->getCountResult($o_ObjectBean);

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
/*
echo "<pre>";
print_r($a_ObjectBean);
echo "</pre>";
*/
?>


      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
       
        <tr>
          <td>
            <table class="grid" width="100%" border="1" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="3%" >Nro</th>
                <th>Sucursal&nbsp;&nbsp;&nbsp;</th>
                <th>Marcado&nbsp;&nbsp;&nbsp;</th>
                <th width="5%" >Nro Cli</th>
                
			    <th width="20%" >Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="9%" >Documento</th>
			    <th width="8%" >Celular&nbsp;</th>
			   
			   
			
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >U.Registro.</th>
                <th width="12%" id="col01" onMouseOver="sort_col(this);" >F.Registro.</th>
                <th width="12%" id="col01" onMouseOver="sort_col(this);" >F.Conversion.</th>
              
               
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ 
              $o_MercadoBean = new MercadoBean();
              $o_MercadoBean->setIdMercado($o_objBean->getIdMercado());
              $o_MercadoDP = new MercadoDP($o_MercadoBean);
	          $a_o_Mercado = $o_MercadoDP->select();
	          if(is_array($a_o_Mercado) && count($a_o_Mercado)){
	            $o_Mercado = $a_o_Mercado[0];
	            $descripcionMercado = $o_Mercado->getDescripcion();
              }
              
              $o_SucursalMercadoBean = new SucursalMercadoBean();
              $o_SucursalMercadoBean->setIdMercado($o_objBean->getIdMercado());
              $o_SucursalMercadoDP = new SucursalMercadoDP($o_SucursalMercadoBean);
	          $a_o_SucursalMercadoDP = $o_SucursalMercadoDP->select();
	          
	          if(is_array($a_o_SucursalMercadoDP) && count($a_o_SucursalMercadoDP)){
	            $o_SucursalMercadoDP = $a_o_SucursalMercadoDP[0];
	            $IdSucursal = $o_SucursalMercadoDP->getIdSucursal();
	            
	            $o_SucursalBean = new SucursalBean();
                $o_SucursalBean->setIdSucursal($IdSucursal);
                $o_SucursalDP = new SucursalDP($o_SucursalBean);
    	        $a_o_Sucursal = $o_SucursalDP->select();
    	        if(is_array($a_o_Sucursal) && count($a_o_Sucursal)){
    	            $o_Sucursal = $a_o_Sucursal[0];
    	            $descripcionSucursal = $o_Sucursal->getDescripcion();
                }
              }
	            /*echo "<pre>";
                print_r($a_o_Mercado);
                echo "</pre>";*/
	          ?>
              <tr onClick="TR_click(this);">
               <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
               <td align="center"><?=$descripcionSucursal?></td>
               <td align="center"><?=$descripcionMercado;?></td>
               <td align="center"><?=$o_objBean->getIdCliente()?></td>
                <td><?=mb_strtoupper($o_objBean->getNombreCompleto())?></td>
                <td><?=$o_objBean->getTipoDocumento()."&nbsp;-&nbsp;".$o_objBean->getDni()?></td>
                <td><?=$o_objBean->getCelular()?></td>
                
				<td align="center"><?=strtoupper($o_objBean->getUsuarioCreacion())?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
                <td align="center"><?=$o_objBean->getFechaConversion()?></td>
               
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>